Represents a ApplicationGroup definition.
Uses Azure REST API version 2024-04-03. In version 2.x of the Azure Native provider, it used API version 2022-09-09.
Other available API versions: 2022-09-09, 2022-10-14-preview, 2023-09-05, 2023-10-04-preview, 2023-11-01-preview, 2024-01-16-preview, 2024-03-06-preview, 2024-04-08-preview, 2024-08-08-preview, 2024-11-01-preview, 2025-03-01-preview, 2025-04-01-preview, 2025-08-01-preview, 2025-09-01-preview, 2025-10-10, 2025-11-01-preview, 2026-01-01-preview, 2026-03-01-preview, 2026-04-01-preview. These can be accessed by generating a local SDK package using the CLI command pulumi package add azure-native desktopvirtualization [ApiVersion]. See the version guide for details.
Example Usage
ApplicationGroup_Create
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using AzureNative = Pulumi.AzureNative;
return await Deployment.RunAsync(() =>
{
var applicationGroup = new AzureNative.DesktopVirtualization.ApplicationGroup("applicationGroup", new()
{
ApplicationGroupName = "applicationGroup1",
ApplicationGroupType = AzureNative.DesktopVirtualization.ApplicationGroupType.RemoteApp,
Description = "des1",
FriendlyName = "friendly",
HostPoolArmPath = "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1",
Location = "centralus",
ResourceGroupName = "resourceGroup1",
ShowInFeed = true,
Tags =
{
{ "tag1", "value1" },
{ "tag2", "value2" },
},
});
});
package main
import (
desktopvirtualization "github.com/pulumi/pulumi-azure-native-sdk/desktopvirtualization/v3"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := desktopvirtualization.NewApplicationGroup(ctx, "applicationGroup", &desktopvirtualization.ApplicationGroupArgs{
ApplicationGroupName: pulumi.String("applicationGroup1"),
ApplicationGroupType: pulumi.String(desktopvirtualization.ApplicationGroupTypeRemoteApp),
Description: pulumi.String("des1"),
FriendlyName: pulumi.String("friendly"),
HostPoolArmPath: pulumi.String("/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1"),
Location: pulumi.String("centralus"),
ResourceGroupName: pulumi.String("resourceGroup1"),
ShowInFeed: pulumi.Bool(true),
Tags: pulumi.StringMap{
"tag1": pulumi.String("value1"),
"tag2": pulumi.String("value2"),
},
})
if err != nil {
return err
}
return nil
})
}
terraform {
required_providers {
azure-native = {
source = "pulumi/azure-native"
}
}
}
resource "azure-native_desktopvirtualization_application_group" "applicationGroup" {
lifecycle {
create_before_destroy = true
}
application_group_name = "applicationGroup1"
application_group_type = "RemoteApp"
description = "des1"
friendly_name = "friendly"
host_pool_arm_path = "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1"
location = "centralus"
resource_group_name = "resourceGroup1"
show_in_feed = true
tags = {
"tag1" = "value1"
"tag2" = "value2"
}
}
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.azurenative.desktopvirtualization.ApplicationGroup;
import com.pulumi.azurenative.desktopvirtualization.ApplicationGroupArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var applicationGroup = new ApplicationGroup("applicationGroup", ApplicationGroupArgs.builder()
.applicationGroupName("applicationGroup1")
.applicationGroupType("RemoteApp")
.description("des1")
.friendlyName("friendly")
.hostPoolArmPath("/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1")
.location("centralus")
.resourceGroupName("resourceGroup1")
.showInFeed(true)
.tags(Map.ofEntries(
Map.entry("tag1", "value1"),
Map.entry("tag2", "value2")
))
.build());
}
}
import * as pulumi from "@pulumi/pulumi";
import * as azure_native from "@pulumi/azure-native";
const applicationGroup = new azure_native.desktopvirtualization.ApplicationGroup("applicationGroup", {
applicationGroupName: "applicationGroup1",
applicationGroupType: azure_native.desktopvirtualization.ApplicationGroupType.RemoteApp,
description: "des1",
friendlyName: "friendly",
hostPoolArmPath: "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1",
location: "centralus",
resourceGroupName: "resourceGroup1",
showInFeed: true,
tags: {
tag1: "value1",
tag2: "value2",
},
});
import pulumi
import pulumi_azure_native as azure_native
application_group = azure_native.desktopvirtualization.ApplicationGroup("applicationGroup",
application_group_name="applicationGroup1",
application_group_type=azure_native.desktopvirtualization.ApplicationGroupType.REMOTE_APP,
description="des1",
friendly_name="friendly",
host_pool_arm_path="/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1",
location="centralus",
resource_group_name="resourceGroup1",
show_in_feed=True,
tags={
"tag1": "value1",
"tag2": "value2",
})
resources:
applicationGroup:
type: azure-native:desktopvirtualization:ApplicationGroup
properties:
applicationGroupName: applicationGroup1
applicationGroupType: RemoteApp
description: des1
friendlyName: friendly
hostPoolArmPath: /subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1
location: centralus
resourceGroupName: resourceGroup1
showInFeed: true
tags:
tag1: value1
tag2: value2
Create ApplicationGroup Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
@overload
def ApplicationGroup(resource_name: str,
args: ApplicationGroupArgs,
opts: Optional[ResourceOptions] = None)
@overload
def ApplicationGroup(resource_name: str,
opts: Optional[ResourceOptions] = None,
host_pool_arm_path: Optional[str] = None,
application_group_type: Optional[Union[str, ApplicationGroupType]] = None,
resource_group_name: Optional[str] = None,
kind: Optional[str] = None,
friendly_name: Optional[str] = None,
identity: Optional[ResourceModelWithAllowedPropertySetIdentityArgs] = None,
application_group_name: Optional[str] = None,
location: Optional[str] = None,
managed_by: Optional[str] = None,
plan: Optional[ResourceModelWithAllowedPropertySetPlanArgs] = None,
description: Optional[str] = None,
show_in_feed: Optional[bool] = None,
sku: Optional[ResourceModelWithAllowedPropertySetSkuArgs] = None,
tags: Optional[Mapping[str, str]] = None)
type: azure-native:desktopvirtualization:ApplicationGroup
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "azure-native_desktopvirtualization_application_group" "name" {
# resource properties
}
Parameters
- resource_name
str
- The unique name of the resource.
- args
ApplicationGroupArgs
- The arguments to resource properties.
- opts
ResourceOptions
- Bag of options to control resource's behavior.
- ctx
Context
- Context object for the current deployment.
- name
string
- The unique name of the resource.
- args
ApplicationGroupArgs
- The arguments to resource properties.
- opts
ResourceOption
- Bag of options to control resource's behavior.
- name
String
- The unique name of the resource.
- args
ApplicationGroupArgs
- The arguments to resource properties.
- options
CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var applicationGroupResource = new AzureNative.DesktopVirtualization.ApplicationGroup("applicationGroupResource", new()
{
HostPoolArmPath = "string",
ApplicationGroupType = "string",
ResourceGroupName = "string",
Kind = "string",
FriendlyName = "string",
Identity = new AzureNative.DesktopVirtualization.Inputs.ResourceModelWithAllowedPropertySetIdentityArgs
{
Type = AzureNative.DesktopVirtualization.ResourceIdentityType.SystemAssigned,
},
ApplicationGroupName = "string",
Location = "string",
ManagedBy = "string",
Plan = new AzureNative.DesktopVirtualization.Inputs.ResourceModelWithAllowedPropertySetPlanArgs
{
Name = "string",
Product = "string",
Publisher = "string",
PromotionCode = "string",
Version = "string",
},
Description = "string",
ShowInFeed = false,
Sku = new AzureNative.DesktopVirtualization.Inputs.ResourceModelWithAllowedPropertySetSkuArgs
{
Name = "string",
Capacity = 0,
Family = "string",
Size = "string",
Tier = AzureNative.DesktopVirtualization.SkuTier.Free,
},
Tags =
{
{ "string", "string" },
},
});
example, err := desktopvirtualization.NewApplicationGroup(ctx, "applicationGroupResource", &desktopvirtualization.ApplicationGroupArgs{
HostPoolArmPath: pulumi.String("string"),
ApplicationGroupType: pulumi.String("string"),
ResourceGroupName: pulumi.String("string"),
Kind: pulumi.String("string"),
FriendlyName: pulumi.String("string"),
Identity: &desktopvirtualization.ResourceModelWithAllowedPropertySetIdentityArgs{
Type: desktopvirtualization.ResourceIdentityTypeSystemAssigned,
},
ApplicationGroupName: pulumi.String("string"),
Location: pulumi.String("string"),
ManagedBy: pulumi.String("string"),
Plan: &desktopvirtualization.ResourceModelWithAllowedPropertySetPlanArgs{
Name: pulumi.String("string"),
Product: pulumi.String("string"),
Publisher: pulumi.String("string"),
PromotionCode: pulumi.String("string"),
Version: pulumi.String("string"),
},
Description: pulumi.String("string"),
ShowInFeed: pulumi.Bool(false),
Sku: &desktopvirtualization.ResourceModelWithAllowedPropertySetSkuArgs{
Name: pulumi.String("string"),
Capacity: pulumi.Int(0),
Family: pulumi.String("string"),
Size: pulumi.String("string"),
Tier: desktopvirtualization.SkuTierFree,
},
Tags: pulumi.StringMap{
"string": pulumi.String("string"),
},
})
resource "azure-native_desktopvirtualization_application_group" "applicationGroupResource" {
lifecycle {
create_before_destroy = true
}
host_pool_arm_path = "string"
application_group_type = "string"
resource_group_name = "string"
kind = "string"
friendly_name = "string"
identity = {
type = "SystemAssigned"
}
application_group_name = "string"
location = "string"
managed_by = "string"
plan = {
name = "string"
product = "string"
publisher = "string"
promotion_code = "string"
version = "string"
}
description = "string"
show_in_feed = false
sku = {
name = "string"
capacity = 0
family = "string"
size = "string"
tier = "Free"
}
tags = {
"string" = "string"
}
}
var applicationGroupResource = new com.pulumi.azurenative.desktopvirtualization.ApplicationGroup("applicationGroupResource", com.pulumi.azurenative.desktopvirtualization.ApplicationGroupArgs.builder()
.hostPoolArmPath("string")
.applicationGroupType("string")
.resourceGroupName("string")
.kind("string")
.friendlyName("string")
.identity(ResourceModelWithAllowedPropertySetIdentityArgs.builder()
.type(com.pulumi.azurenative.desktopvirtualization.enums.ResourceIdentityType.SystemAssigned)
.build())
.applicationGroupName("string")
.location("string")
.managedBy("string")
.plan(ResourceModelWithAllowedPropertySetPlanArgs.builder()
.name("string")
.product("string")
.publisher("string")
.promotionCode("string")
.version("string")
.build())
.description("string")
.showInFeed(false)
.sku(ResourceModelWithAllowedPropertySetSkuArgs.builder()
.name("string")
.capacity(0)
.family("string")
.size("string")
.tier(com.pulumi.azurenative.desktopvirtualization.enums.SkuTier.Free)
.build())
.tags(Map.of("string", "string"))
.build());
application_group_resource = azure_native.desktopvirtualization.ApplicationGroup("applicationGroupResource",
host_pool_arm_path="string",
application_group_type="string",
resource_group_name="string",
kind="string",
friendly_name="string",
identity={
"type": azure_native.desktopvirtualization.ResourceIdentityType.SYSTEM_ASSIGNED,
},
application_group_name="string",
location="string",
managed_by="string",
plan={
"name": "string",
"product": "string",
"publisher": "string",
"promotion_code": "string",
"version": "string",
},
description="string",
show_in_feed=False,
sku={
"name": "string",
"capacity": 0,
"family": "string",
"size": "string",
"tier": azure_native.desktopvirtualization.SkuTier.FREE,
},
tags={
"string": "string",
})
const applicationGroupResource = new azure_native.desktopvirtualization.ApplicationGroup("applicationGroupResource", {
hostPoolArmPath: "string",
applicationGroupType: "string",
resourceGroupName: "string",
kind: "string",
friendlyName: "string",
identity: {
type: azure_native.desktopvirtualization.ResourceIdentityType.SystemAssigned,
},
applicationGroupName: "string",
location: "string",
managedBy: "string",
plan: {
name: "string",
product: "string",
publisher: "string",
promotionCode: "string",
version: "string",
},
description: "string",
showInFeed: false,
sku: {
name: "string",
capacity: 0,
family: "string",
size: "string",
tier: azure_native.desktopvirtualization.SkuTier.Free,
},
tags: {
string: "string",
},
});
type: azure-native:desktopvirtualization:ApplicationGroup
properties:
applicationGroupName: string
applicationGroupType: string
description: string
friendlyName: string
hostPoolArmPath: string
identity:
type: SystemAssigned
kind: string
location: string
managedBy: string
plan:
name: string
product: string
promotionCode: string
publisher: string
version: string
resourceGroupName: string
showInFeed: false
sku:
capacity: 0
family: string
name: string
size: string
tier: Free
tags:
string: string
ApplicationGroup Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The ApplicationGroup resource accepts the following input properties:
- application_group_type
string | "RemoteApp" | "Desktop"
- Resource Type of ApplicationGroup.
- host_pool_arm_path
string
- HostPool arm path of ApplicationGroup.
- resource_group_name
string
- The name of the resource group. The name is case insensitive.
- application_group_name
string
- The name of the application group
- description
string
- Description of ApplicationGroup.
- friendly_name
string
- Friendly name of ApplicationGroup.
- identity
object
- kind
string
- Metadata used by portal/tooling/etc to render different UX experiences for resources of the same type. E.g. ApiApps are a kind of Microsoft.Web/sites type. If supported, the resource provider must validate and persist this value.
- location
string
- The geo-location where the resource lives
- managed_by
string
- The fully qualified resource ID of the resource that manages this resource. Indicates if this resource is managed by another Azure resource. If this is present, complete mode deployment will not delete the resource if it is removed from the template since it is managed by another resource.
- plan
object
- show_in_feed
bool
- Boolean representing whether the applicationGroup is show in the feed.
- sku
object
- tags
map(string)
- Resource tags.
- applicationGroupType
String | "RemoteApp" | "Desktop"
- Resource Type of ApplicationGroup.
- hostPoolArmPath
String
- HostPool arm path of ApplicationGroup.
- resourceGroupName
String
- The name of the resource group. The name is case insensitive.
- applicationGroupName
String
- The name of the application group
- description
String
- Description of ApplicationGroup.
- friendlyName
String
- Friendly name of ApplicationGroup.
- identity
Property Map
- kind
String
- Metadata used by portal/tooling/etc to render different UX experiences for resources of the same type. E.g. ApiApps are a kind of Microsoft.Web/sites type. If supported, the resource provider must validate and persist this value.
- location
String
- The geo-location where the resource lives
- managedBy
String
- The fully qualified resource ID of the resource that manages this resource. Indicates if this resource is managed by another Azure resource. If this is present, complete mode deployment will not delete the resource if it is removed from the template since it is managed by another resource.
- plan
Property Map
- showInFeed
Boolean
- Boolean representing whether the applicationGroup is show in the feed.
- sku
Property Map
- tags
Map<String>
- Resource tags.
Outputs
All input properties are implicitly available as output properties. Additionally, the ApplicationGroup resource produces the following output properties:
- AzureApiVersion
string
- The Azure API version of the resource.
- CloudPcResource
bool
- Is cloud pc resource.
- Etag
string
- The etag field is not required. If it is provided in the response body, it must also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- Id
string
- The provider-assigned unique ID for this managed resource.
- Name
string
- The name of the resource
- ObjectId
string
- ObjectId of ApplicationGroup. (internal use)
- SystemData
Pulumi.AzureNative.DesktopVirtualization.Outputs.SystemDataResponse
- Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type
string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- WorkspaceArmPath
string
- Workspace arm path of ApplicationGroup.
- AzureApiVersion
string
- The Azure API version of the resource.
- CloudPcResource
bool
- Is cloud pc resource.
- Etag
string
- The etag field is not required. If it is provided in the response body, it must also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- Id
string
- The provider-assigned unique ID for this managed resource.
- Name
string
- The name of the resource
- ObjectId
string
- ObjectId of ApplicationGroup. (internal use)
- SystemData
SystemDataResponse
- Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type
string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- WorkspaceArmPath
string
- Workspace arm path of ApplicationGroup.
- azure_api_version
string
- The Azure API version of the resource.
- cloud_pc_resource
bool
- Is cloud pc resource.
- etag
string
- The etag field is not required. If it is provided in the response body, it must also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id
string
- The provider-assigned unique ID for this managed resource.
- name
string
- The name of the resource
- object_id
string
- ObjectId of ApplicationGroup. (internal use)
- system_data
object
- Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type
string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- workspace_arm_path
string
- Workspace arm path of ApplicationGroup.
- azureApiVersion
String
- The Azure API version of the resource.
- cloudPcResource
Boolean
- Is cloud pc resource.
- etag
String
- The etag field is not required. If it is provided in the response body, it must also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id
String
- The provider-assigned unique ID for this managed resource.
- name
String
- The name of the resource
- objectId
String
- ObjectId of ApplicationGroup. (internal use)
- systemData
SystemDataResponse
- Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type
String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- workspaceArmPath
String
- Workspace arm path of ApplicationGroup.
- azureApiVersion
string
- The Azure API version of the resource.
- cloudPcResource
boolean
- Is cloud pc resource.
- etag
string
- The etag field is not required. If it is provided in the response body, it must also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id
string
- The provider-assigned unique ID for this managed resource.
- name
string
- The name of the resource
- objectId
string
- ObjectId of ApplicationGroup. (internal use)
- systemData
SystemDataResponse
- Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type
string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- workspaceArmPath
string
- Workspace arm path of ApplicationGroup.
- azure_api_version
str
- The Azure API version of the resource.
- cloud_pc_resource
bool
- Is cloud pc resource.
- etag
str
- The etag field is not required. If it is provided in the response body, it must also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id
str
- The provider-assigned unique ID for this managed resource.
- name
str
- The name of the resource
- object_id
str
- ObjectId of ApplicationGroup. (internal use)
- system_data
SystemDataResponse
- Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type
str
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- workspace_arm_path
str
- Workspace arm path of ApplicationGroup.
- azureApiVersion
String
- The Azure API version of the resource.
- cloudPcResource
Boolean
- Is cloud pc resource.
- etag
String
- The etag field is not required. If it is provided in the response body, it must also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id
String
- The provider-assigned unique ID for this managed resource.
- name
String
- The name of the resource
- objectId
String
- ObjectId of ApplicationGroup. (internal use)
- systemData
Property Map
- Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type
String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- workspaceArmPath
String
- Workspace arm path of ApplicationGroup.
Look up Existing ApplicationGroup Resource
Get an existing ApplicationGroup resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
func GetApplicationGroup(ctx *Context, name string, id IDInput, state *ApplicationGroupState, opts ...ResourceOption) (*ApplicationGroup, error)
public static ApplicationGroup get(String name, Output<String> id, CustomResourceOptions options)
resources: existingApplicationGroup: type: azure-native:desktopvirtualization:ApplicationGroup get: id: ${id}
import {
to = azure-native_desktopvirtualization_application_group.example
id = "${id}"
}
- name
string
- The unique name of the resulting resource.
- id
Input<ID>
- The unique provider ID of the resource to look up.
- opts
CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name
str
- The unique name of the resulting resource.
- id
str
- The unique provider ID of the resource to look up.
- opts
ResourceOptions
- Bag of options to control resource's behavior.
- ctx
Context
- Context object for the current deployment.
- name
string
- The unique name of the resulting resource.
- id
IDInput
- The unique provider ID of the resource to look up.
- state
ApplicationGroupState
- Pass nil. This resource has no state arguments.
- opts
ResourceOption
- Bag of options to control resource's behavior.
- name
string
- The unique name of the resulting resource.
- id
Input<string>
- The unique provider ID of the resource to look up.
- opts
CustomResourceOptions
- Bag of options to control resource's behavior.
- name
String
- The unique name of the resulting resource.
- id
Output<String>
- The unique provider ID of the resource to look up.
- options
CustomResourceOptions
- Bag of options to control resource's behavior.
Supporting Types
ApplicationGroupType
Resource Type of ApplicationGroup.
| Name | Value |
|---|
| RemoteApp | RemoteApp |
| Desktop | Desktop |
| Name | Value |
|---|
| ApplicationGroupTypeRemoteApp | RemoteApp |
| ApplicationGroupTypeDesktop | Desktop |
| Name | Value |
|---|
| RemoteApp | RemoteApp |
| Desktop | Desktop |
| Name | Value |
|---|
| RemoteApp | RemoteApp |
| Desktop | Desktop |
| Name | Value |
|---|
| REMOTE_APP | RemoteApp |
| DESKTOP | Desktop |
ResourceIdentityType
The identity type.
| Name | Value |
|---|
| SystemAssigned | SystemAssigned |
| Name | Value |
|---|
| ResourceIdentityTypeSystemAssigned | SystemAssigned |
| Name | Value |
|---|
| SystemAssigned | SystemAssigned |
| Name | Value |
|---|
| SystemAssigned | SystemAssigned |
| Name | Value |
|---|
| SYSTEM_ASSIGNED | SystemAssigned |
ResourceModelWithAllowedPropertySetIdentity, ResourceModelWithAllowedPropertySetIdentityArgs
ResourceModelWithAllowedPropertySetPlan, ResourceModelWithAllowedPropertySetPlanArgs
- Name
string
- A user defined name of the 3rd Party Artifact that is being procured.
- Product
string
- The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.
- Publisher
string
- The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic
- PromotionCode
string
- A publisher provided promotion code as provisioned in Data Market for the said product/artifact.
- Version
string
- The version of the desired product/artifact.
- Name
string
- A user defined name of the 3rd Party Artifact that is being procured.
- Product
string
- The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.
- Publisher
string
- The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic
- PromotionCode
string
- A publisher provided promotion code as provisioned in Data Market for the said product/artifact.
- Version
string
- The version of the desired product/artifact.
- name
string
- A user defined name of the 3rd Party Artifact that is being procured.
- product
string
- The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.
- publisher
string
- The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic
- promotion_code
string
- A publisher provided promotion code as provisioned in Data Market for the said product/artifact.
- version
string
- The version of the desired product/artifact.
- name
String
- A user defined name of the 3rd Party Artifact that is being procured.
- product
String
- The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.
- publisher
String
- The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic
- promotionCode
String
- A publisher provided promotion code as provisioned in Data Market for the said product/artifact.
- version
String
- The version of the desired product/artifact.
- name
string
- A user defined name of the 3rd Party Artifact that is being procured.
- product
string
- The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.
- publisher
string
- The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic
- promotionCode
string
- A publisher provided promotion code as provisioned in Data Market for the said product/artifact.
- version
string
- The version of the desired product/artifact.
- name
str
- A user defined name of the 3rd Party Artifact that is being procured.
- product
str
- The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.
- publisher
str
- The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic
- promotion_code
str
- A publisher provided promotion code as provisioned in Data Market for the said product/artifact.
- version
str
- The version of the desired product/artifact.
- name
String
- A user defined name of the 3rd Party Artifact that is being procured.
- product
String
- The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.
- publisher
String
- The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic
- promotionCode
String
- A publisher provided promotion code as provisioned in Data Market for the said product/artifact.
- version
String
- The version of the desired product/artifact.
ResourceModelWithAllowedPropertySetResponseIdentity
- PrincipalId
string
- The principal ID of resource identity. The value must be an UUID.
- TenantId
string
- The tenant ID of resource. The value must be an UUID.
- Type
string
- The identity type.
- PrincipalId
string
- The principal ID of resource identity. The value must be an UUID.
- TenantId
string
- The tenant ID of resource. The value must be an UUID.
- Type
string
- The identity type.
- principal_id
string
- The principal ID of resource identity. The value must be an UUID.
- tenant_id
string
- The tenant ID of resource. The value must be an UUID.
- type
string
- The identity type.
- principalId
String
- The principal ID of resource identity. The value must be an UUID.
- tenantId
String
- The tenant ID of resource. The value must be an UUID.
- type
String
- The identity type.
- principalId
string
- The principal ID of resource identity. The value must be an UUID.
- tenantId
string
- The tenant ID of resource. The value must be an UUID.
- type
string
- The identity type.
- principal_id
str
- The principal ID of resource identity. The value must be an UUID.
- tenant_id
str
- The tenant ID of resource. The value must be an UUID.
- type
str
- The identity type.
- principalId
String
- The principal ID of resource identity. The value must be an UUID.
- tenantId
String
- The tenant ID of resource. The value must be an UUID.
- type
String
- The identity type.
ResourceModelWithAllowedPropertySetResponsePlan
- Name
string
- A user defined name of the 3rd Party Artifact that is being procured.
- Product
string
- The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.
- Publisher
string
- The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic
- PromotionCode
string
- A publisher provided promotion code as provisioned in Data Market for the said product/artifact.
- Version
string
- The version of the desired product/artifact.
- Name
string
- A user defined name of the 3rd Party Artifact that is being procured.
- Product
string
- The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.
- Publisher
string
- The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic
- PromotionCode
string
- A publisher provided promotion code as provisioned in Data Market for the said product/artifact.
- Version
string
- The version of the desired product/artifact.
- name
string
- A user defined name of the 3rd Party Artifact that is being procured.
- product
string
- The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.
- publisher
string
- The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic
- promotion_code
string
- A publisher provided promotion code as provisioned in Data Market for the said product/artifact.
- version
string
- The version of the desired product/artifact.
- name
String
- A user defined name of the 3rd Party Artifact that is being procured.
- product
String
- The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.
- publisher
String
- The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic
- promotionCode
String
- A publisher provided promotion code as provisioned in Data Market for the said product/artifact.
- version
String
- The version of the desired product/artifact.
- name
string
- A user defined name of the 3rd Party Artifact that is being procured.
- product
string
- The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.
- publisher
string
- The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic
- promotionCode
string
- A publisher provided promotion code as provisioned in Data Market for the said product/artifact.
- version
string
- The version of the desired product/artifact.
- name
str
- A user defined name of the 3rd Party Artifact that is being procured.
- product
str
- The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.
- publisher
str
- The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic
- promotion_code
str
- A publisher provided promotion code as provisioned in Data Market for the said product/artifact.
- version
str
- The version of the desired product/artifact.
- name
String
- A user defined name of the 3rd Party Artifact that is being procured.
- product
String
- The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.
- publisher
String
- The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic
- promotionCode
String
- A publisher provided promotion code as provisioned in Data Market for the said product/artifact.
- version
String
- The version of the desired product/artifact.
ResourceModelWithAllowedPropertySetResponseSku
- Name
string
- The name of the SKU. E.g. P3. It is typically a letter+number code
- Capacity
int
- If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.
- Family
string
- If the service has different generations of hardware, for the same SKU, then that can be captured here.
- Size
string
- The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.
- Tier
string
- This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
- Name
string
- The name of the SKU. E.g. P3. It is typically a letter+number code
- Capacity
int
- If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.
- Family
string
- If the service has different generations of hardware, for the same SKU, then that can be captured here.
- Size
string
- The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.
- Tier
string
- This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
- name
string
- The name of the SKU. E.g. P3. It is typically a letter+number code
- capacity
number
- If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.
- family
string
- If the service has different generations of hardware, for the same SKU, then that can be captured here.
- size
string
- The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.
- tier
string
- This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
- name
String
- The name of the SKU. E.g. P3. It is typically a letter+number code
- capacity
Integer
- If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.
- family
String
- If the service has different generations of hardware, for the same SKU, then that can be captured here.
- size
String
- The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.
- tier
String
- This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
- name
string
- The name of the SKU. E.g. P3. It is typically a letter+number code
- capacity
number
- If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.
- family
string
- If the service has different generations of hardware, for the same SKU, then that can be captured here.
- size
string
- The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.
- tier
string
- This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
- name
str
- The name of the SKU. E.g. P3. It is typically a letter+number code
- capacity
int
- If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.
- family
str
- If the service has different generations of hardware, for the same SKU, then that can be captured here.
- size
str
- The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.
- tier
str
- This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
- name
String
- The name of the SKU. E.g. P3. It is typically a letter+number code
- capacity
Number
- If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.
- family
String
- If the service has different generations of hardware, for the same SKU, then that can be captured here.
- size
String
- The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.
- tier
String
- This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
ResourceModelWithAllowedPropertySetSku, ResourceModelWithAllowedPropertySetSkuArgs
- Name
string
- The name of the SKU. E.g. P3. It is typically a letter+number code
- Capacity
int
- If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.
- Family
string
- If the service has different generations of hardware, for the same SKU, then that can be captured here.
- Size
string
- The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.
- Tier
Pulumi.AzureNative.DesktopVirtualization.SkuTier
- This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
- Name
string
- The name of the SKU. E.g. P3. It is typically a letter+number code
- Capacity
int
- If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.
- Family
string
- If the service has different generations of hardware, for the same SKU, then that can be captured here.
- Size
string
- The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.
- Tier
SkuTier
- This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
- name
string
- The name of the SKU. E.g. P3. It is typically a letter+number code
- capacity
number
- If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.
- family
string
- If the service has different generations of hardware, for the same SKU, then that can be captured here.
- size
string
- The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.
- tier
"Free" | "Basic" | "Standard" | "Premium"
- This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
- name
String
- The name of the SKU. E.g. P3. It is typically a letter+number code
- capacity
Integer
- If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.
- family
String
- If the service has different generations of hardware, for the same SKU, then that can be captured here.
- size
String
- The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.
- tier
SkuTier
- This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
- name
string
- The name of the SKU. E.g. P3. It is typically a letter+number code
- capacity
number
- If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.
- family
string
- If the service has different generations of hardware, for the same SKU, then that can be captured here.
- size
string
- The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.
- tier
SkuTier
- This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
- name
str
- The name of the SKU. E.g. P3. It is typically a letter+number code
- capacity
int
- If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.
- family
str
- If the service has different generations of hardware, for the same SKU, then that can be captured here.
- size
str
- The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.
- tier
SkuTier
- This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
- name
String
- The name of the SKU. E.g. P3. It is typically a letter+number code
- capacity
Number
- If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.
- family
String
- If the service has different generations of hardware, for the same SKU, then that can be captured here.
- size
String
- The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.
- tier
"Free" | "Basic" | "Standard" | "Premium"
- This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
SkuTier
This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
| Name | Value |
|---|
| Free | Free |
| Basic | Basic |
| Standard | Standard |
| Premium | Premium |
| Name | Value |
|---|
| SkuTierFree | Free |
| SkuTierBasic | Basic |
| SkuTierStandard | Standard |
| SkuTierPremium | Premium |
| Value |
|---|
Free |
Basic |
Standard |
Premium |
| Name | Value |
|---|
| Free | Free |
| Basic | Basic |
| Standard | Standard |
| Premium | Premium |
| Name | Value |
|---|
| Free | Free |
| Basic | Basic |
| Standard | Standard |
| Premium | Premium |
| Name | Value |
|---|
| FREE | Free |
| BASIC | Basic |
| STANDARD | Standard |
| PREMIUM | Premium |
| Value |
|---|
Free |
Basic |
Standard |
Premium |
SystemDataResponse
Metadata pertaining to creation and last modification of the resource.
- CreatedAt
string
- The timestamp of resource creation (UTC).
- CreatedBy
string
- The identity that created the resource.
- CreatedByType
string
- The type of identity that created the resource.
- LastModifiedAt
string
- The timestamp of resource last modification (UTC)
- LastModifiedBy
string
- The identity that last modified the resource.
- LastModifiedByType
string
- The type of identity that last modified the resource.
- CreatedAt
string
- The timestamp of resource creation (UTC).
- CreatedBy
string
- The identity that created the resource.
- CreatedByType
string
- The type of identity that created the resource.
- LastModifiedAt
string
- The timestamp of resource last modification (UTC)
- LastModifiedBy
string
- The identity that last modified the resource.
- LastModifiedByType
string
- The type of identity that last modified the resource.
- createdAt
String
- The timestamp of resource creation (UTC).
- createdBy
String
- The identity that created the resource.
- createdByType
String
- The type of identity that created the resource.
- lastModifiedAt
String
- The timestamp of resource last modification (UTC)
- lastModifiedBy
String
- The identity that last modified the resource.
- lastModifiedByType
String
- The type of identity that last modified the resource.
- createdAt
string
- The timestamp of resource creation (UTC).
- createdBy
string
- The identity that created the resource.
- createdByType
string
- The type of identity that created the resource.
- lastModifiedAt
string
- The timestamp of resource last modification (UTC)
- lastModifiedBy
string
- The identity that last modified the resource.
- lastModifiedByType
string
- The type of identity that last modified the resource.
- createdAt
String
- The timestamp of resource creation (UTC).
- createdBy
String
- The identity that created the resource.
- createdByType
String
- The type of identity that created the resource.
- lastModifiedAt
String
- The timestamp of resource last modification (UTC)
- lastModifiedBy
String
- The identity that last modified the resource.
- lastModifiedByType
String
- The type of identity that last modified the resource.
Import
An existing resource can be imported using its type token, name, and identifier, e.g.
$ pulumi import azure-native:desktopvirtualization:ApplicationGroup applicationGroup1 /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DesktopVirtualization/applicationGroups/{applicationGroupName}
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- Azure Native pulumi/pulumi-azure-native
- License
- Apache-2.0